# Uses of Interface
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.IImplicitDependencies

Packages that use IImplicitDependencies
Package
Description
org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Uses of IImplicitDependencies in org.eclipse.emf.compare.ide.ui.internal.logical.resolver

Classes in org.eclipse.emf.compare.ide.ui.internal.logical.resolver that implement IImplicitDependencies
Modifier and Type
Class
Description
`class`
`CachingImplicitDependencies`
An implementation of the `IImplicitDependencies` that delegates the respective dependency calculation to a given object and caches the results to increase performance.
`class`
`DefaultImplicitDependencies`
Default implementation of `IImplicitDependencies`, which uses the extensions collected by the registry of the modelDependencyProvider extension point.
Fields in org.eclipse.emf.compare.ide.ui.internal.logical.resolver declared as IImplicitDependencies
Modifier and Type
Field
Description
`protected IImplicitDependencies`
AbstractResolution.`implicitDependencies`
The implicit dependencies.
Methods in org.eclipse.emf.compare.ide.ui.internal.logical.resolver that return IImplicitDependencies
Modifier and Type
Method
Description
`protected IImplicitDependencies`
AbstractResolution.`getImplicitDependencies()`
Returns the implicit dependencies which can be used to retrieve a set of files that should be part of the same logical model than a given file.
`IImplicitDependencies`
DefaultResolutionContext.`getImplicitDependencies()`
`IImplicitDependencies`
IResolutionContext.`getImplicitDependencies()`
The implicit dependencies provider.
Constructors in org.eclipse.emf.compare.ide.ui.internal.logical.resolver with parameters of type IImplicitDependencies
Modifier
Constructor
Description
``
`CachingImplicitDependencies(IImplicitDependencies delegate)`
Creates a new caching instance that delegates the dependency calculation to the given object and caches the results to increase performance.